HELM(1)

NAME

helm-reset - uninstalls Tiller from a cluster

SYNOPSIS

helm reset

DESCRIPTION

This command uninstalls Tiller (the helm server side component) from your Kubernetes Cluster and optionally deletes local configuration in $HELM_HOME (default /.helm/)

OPTIONS

-f, --force[=false]
    forces Tiller uninstall even if there are releases installed

--remove-helm-home[=false]
    if set deletes $HELM_HOME

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra